package ch.frankel.blog.wsinject.impl;

import javax.jws.WebService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.context.support.SpringBeanAutowiringSupport;

import ch.frankel.blog.wsinject.jaxws.FindPersonPortType;
import ch.frankel.blog.wsinject.jaxws.FindPersonRequestType;
import ch.frankel.blog.wsinject.jaxws.FindPersonResponseType;
import ch.frankel.blog.wsinject.service.PersonService;

@WebService(endpointInterface = "ch.frankel.blog.wsinject.jaxws.FindPersonPortType")
public class FindPersonSoapImpl extends SpringBeanAutowiringSupport implements FindPersonPortType {

	@Autowired
	private PersonService personService;

	@Override
	public FindPersonResponseType findPerson(FindPersonRequestType parameters) {

		return new FindPersonDelegate().findPerson(personService, parameters);
	}
}
